TestRunner Class Reference

Runs every test in forward order. More...

`#include <TestRunner.h>`

Inheritance diagram for TestRunner:

## Private Member Functions

virtual bool | visit (TestCase &test)
| Visits a testCase and returns true if visiting of any other objects should continue after the testSuite has been visited.

## Additional Inherited Members

Public Member Functions inherited from TestQualifier
virtual bool | visitEnter (TestSuite &suite)
| Returns true if the testSuite should be iterated through.
virtual bool | visitLeave (TestSuite &suite)
| Returns true if visiting of any other objects should continue after the testSuite has been visited.
const string & | getPath () const
| Returns the path taken from the root of the tree to the current node as a dot-separated string.
Public Member Functions inherited from TestVisitor
virtual | ~TestVisitor ()
virtual bool | visit (TestSuite &testSuite)
| The default implementation calls visitEnter and visits the added objects in forward order if the return value is true.

## Detailed Description

Runs every test in forward order.

Definition at line 25 of file TestRunner.h.

## Member Function Documentation

## visit()

bool TestRunner::visit | ( | TestCase & | testCase | ) |

private virtual

Visits a testCase and returns true if visiting of any other objects should continue after the testSuite has been visited.

The visiting process will stop if return value is false, according to the default implementation of visit(TestSuite&). The default implementation always returns true.

Reimplemented from TestVisitor.

Definition at line 23 of file TestRunner.cpp.

The documentation for this class was generated from the following files:

- src/test/TestRunner.h
- src/test/TestRunner.cpp